package fr.paris.lutece.plugins.form.business.validator;

import javax.servlet.http.HttpServletRequest;

import fr.paris.lutece.plugins.form.business.FormSubmit;

/**
 * IValidator
 */
public interface IValidator
{
    /**
     * Returns the validator interface
     * @param request {@link HttpServletRequest}
     * @param nIdForm the form id
     * @return the validator interface
     */
    String getUI( HttpServletRequest request, int nIdForm );
    
    /**
	 * Removes the associations with the form
	 * @param nIdForm the form id
	 */
    void removeAssociationsWithForm( int nIdForm );
    
    /**
     * Validates the form
     * @param request {@link HttpServletRequest}
     * @param formSubmit the form submit
     */
    void validateForm( HttpServletRequest request, FormSubmit formSubmit );
}
